## elfrc 0.7

=== Makefile ===
CFLAGS+=-Wall -O -pipe
VERSION=0.7

all: elfrc

elfrc: elfrc.o
	${CC} -o elfrc elfrc.o

elfrc.o: config.h

config.h:
	@rm -f config.h
	@echo "#ifndef __`uname`__" > config.h
	@echo "#  define __`uname`__ 1" >> config.h
	@echo "#endif" >> config.h
	@echo "#define ELFRC_VERSION \"${VERSION}\"" >> config.h

check:
	cd testdata && make check

dist: clean
	cd .. && \
		rm -rf elfrc-${VERSION} && \
		mkdir elfrc-${VERSION} && \
		for FILE in Makefile README LICENSE elfrc.c; do \
			cp -f elfrc/$$FILE elfrc-${VERSION}; \
		done && \
		rm -f elfrc-${VERSION}.tar.gz && \
		tar vzcf elfrc-${VERSION}.tar.gz elfrc-${VERSION} && \
		rm -rf elfrc-${VERSION} && \
		cd elfrc

clean:
	rm -f elfrc.o config.h elfrc

=== debian/changelog ===
elfrc (0.7-4) unstable; urgency=medium

  * QA upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Move Vcs-* to Debian Salsa.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Feb 2023 15:37:00 -0500

elfrc (0.7-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sat, 16 May 2020 23:29:14 -0300

elfrc (0.7-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #678874)
  * DH level to 9.
  * DebSrc to version 3.0.
  * debian/control:
     - Bumped Standards-Version to 3.9.6.
     - Removed link to homepage, url address is broken.
     - Improved organization of long description.
  * debian/copyright:
     - Migrated to 1.0 format.
     - Revised and updated all information.
  * debian/install:
     - install the elfrc binary to right place.
  * debian/patches:
      - Added patch to fix the Makefile for hardening.
  * debian/rules:
      - Updated to reduced format.
      - Included DEB_BUILD_MAINT_OPTIONS for hardening.
  * debian/watch:
      - Updated because old url address is broken.
      - Added a fake site to explain about the current status
        of the original upstream homepage.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 26 Sep 2015 20:33:33 -0300

elfrc (0.7-1) unstable; urgency=low

  * Initial release (Closes: #432964)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Thu, 18 Sep 2008 20:18:01 +0200

=== debian/control ===
Source: elfrc
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/elfrc.git
Vcs-Browser: https://salsa.debian.org/debian/elfrc

Package: elfrc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: convert arbitrary files into elf objects
 elfrc is a program which can turn arbitrary files into ELF
 object files which can then be linked into your program
 directly and accessed via simple, user-defined symbol names.
 .
 For instance, it's possible to embed even huge (16MB+) files
 directly into the executable and then access the data in constant
 time without making the compiler or linker eat loads of memory.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
